Update Webhook
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/webhooks/{webhook_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"endpoint": "<string>",
"events": [
"order.created"
],
"custom_headers": {}
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/webhooks/{webhook_id}"
payload = {
"name": "<string>",
"endpoint": "<string>",
"events": ["order.created"],
"custom_headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
endpoint: '<string>',
events: ['order.created'],
custom_headers: {}
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"content": {
"id": "<string>",
"name": "<string>",
"endpoint": "<string>",
"events": [
"order.created"
],
"custom_headers": {},
"status": "enabled",
"webhook_secret_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {
"fieldname": [
"<string>"
]
}
}{
"message": "Not authorized for given operation on the Resource.",
"success": false,
"code": "unauthorized"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Webhooks
Update Webhook
Update an existing webhook by replacing all fields.
PUT
/
webhooks
/
{webhook_id}
Update Webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Webhook ID
Body
application/json
Was this page helpful?
⌘I